@charset "UTF-8";

// VARIABLES
$padding: 50px;
$margin: 50px;
$intro-background-image: #141414;
$title-color: #293531;
$max-xs: 767px;
$max-sm: 991px;
$max-md: 1999px;

$min-sm: 768px;
$min-md: 992px;
$min-lg: 2000px;

@import "_fonts.scss";
@import "_mixins.scss";
@import "_re-bootstrap.scss";

// Style
.title {
  @include padding;
  h1 {
    color: $title-color;
    font-size: 2em;
    font-weight: 600;
    font-family: sans-serif;
    text-transform: uppercase;
    text-align: center;
  }
  @media (min-width: $min-md) {
    h1 {
      font-size: 2.5em;
    }
  }
}

.resume {
  text-align: center;
  text-transform: uppercase;
  font-weight: 600;
  font-size: 1.25em;
  padding-bottom: $padding;
}

#intro,
#project,
#curiosities,
#team {
  display: block;
  position: relative;
  height: auto;
}

#intro {
  margin-top: $margin;
  background: url(../imgs/intro/maps.png) no-repeat center;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
  background-color: #141414;
  height: 100%;
  h1 {
    color: white;
    font-size:2.5em;
    text-align: center;
    font-weight: 700;
    text-transform: uppercase;
    padding-top: 50%;
  }
  @media (min-width: $min-sm) {
    height: 70%;
    width: 100%;
  }
}
  
#project {
  height: auto;
  background-color: white;
  margin-bottom:0;
  padding-right:15px;
  padding-left:15px;
        
  .subtitle {
    text-align:center !important;
    font-size:3em;
    font-weight:700;
    padding-bottom:50px;
    width:100%;
    h4 {
      text-transform: none;
    }
  }
  .slice {
    height:auto;
    overflow:hidden;
    background-color: #f5f5f5;
    margin-bottom: 30px;
    -webkit-box-shadow: inset 0px -14px 15px -17px rgba(0,0,0,0.15);
    -moz-box-shadow: inset 0px -14px 15px -17px rgba(0,0,0,0.15);
    box-shadow: inset 0px -14px 15px -17px rgba(0,0,0,0.15);
      
    .image {
        width: 100%;
        height: 200px;
        overflow:hidden;
        margin:0;
        padding:0;
        img {
          width: 100%;
        }
    }
    .text {
      h1{
        font-size: 1.5em;
        font-weight: 600;
        text-align: center;
        padding-bottom:25px;
        padding-top:20px;
      }
      p{
        font-size: 1.1em;
        text-align: justify;
        padding-bottom: 50px;
      }
    }
  }
  
  @media (min-width: $min-md) {
    .slice .text p {
      font-size: 1em !important;
    }
    .slice .image.pull-right img,
    .slice .image.pull-left img {
      width: 128% !important;
    }
  }
  
  @media (min-width: 1025px) {
    .slice .text p {
      font-size: 1.2em !important;
    }
  }

  @media (min-width: $min-md) {
    padding-right:0px;
    padding-left:0px;
    .subtitle {
      @include blockcenter;
      font-size:3em;
      width:65%;
      padding-bottom: 50px;
    }
    .slice {
      overflow:hidden;
      height: 450px !important;
      .image {
        width: 38%;
        height: 500px;
        overflow:hidden;
        &.pull-left {
          margin-left: -7%;
          -webkit-transform: skew(20deg); 
          -moz-transform: skew(20deg); 
          -o-transform: skew(20deg); 
          transform: skew(20deg);
          img {
            min-width:120%;
            height:auto;
            -webkit-transform: skew(-20deg); 
            -moz-transform: skew(-20deg); 
            -o-transform: skew(-20deg); 
            transform: skew(-20deg);
          }
          .proposta {
            background: url(http://lorempixel.com/500/500/city/1/) no-repeat;
            background-size:cover;
          }
        }
        &.pull-right {
          margin-right:-7%;
          -webkit-transform: skew(-20deg); 
          -moz-transform: skew(-20deg); 
          -o-transform: skew(-20deg); 
          transform: skew(-20deg);
          img {
            width:120%;
            margin-left:-19%;
            height:auto;
            -webkit-transform: skew(20deg); 
            -moz-transform: skew(20deg); 
            -o-transform: skew(20deg); 
            transform: skew(20deg);
          }
        }
      }
      .text {
        max-width: 90%;
        margin-top: 10px;
        h1{
          font-size: 2em;
          font-weight: 600;
          padding-top:50px;
          padding-bottom:30px;
        }
        p{
          padding-right:0px;
          padding-left:0px;
        }
        &.pull-left,
        &.pull-right {
          .reposition-text {
            width: 150px;
            height: 400px;
          }
        }
        &.pull-right {
          text-align: justify;
          h1 {
            text-align: left;
          }
          p {
            padding-right:20px;
          }
          .reposition-text {
            float: left;
            -webkit-shape-inside: polygon(0 0, 0 100%, 100% 100%);
            -webkit-shape-outside: polygon(0 0, 0 100%, 100% 100%);
            -webkit-shape-margin: 0px;
            -webkit-shape-padding: 0px;
          }
        }
        &.pull-left {
          text-align: justify;
          h1 {
            text-align:right;
          }
          p {
            padding-left:20px;
          }
          .reposition-text {
            float: right;
            -webkit-shape-inside: polygon(100% 0, 100% 100%, 0 100%);
            -webkit-shape-outside: polygon(100% 0, 100% 100%, 0 100%);
            -webkit-shape-margin: 0px;
            -webkit-shape-padding: 0px;
          }
        }
      }
    }
  }

  @media (min-width: $min-lg) {
    .slice {
      height: 350px;
      .text {
        &.pull-right {
          p {
            padding-right:40px;
          }
        }
        &.pull-left {
          p {
            padding-left:40px;
          }
        }
      }
    }
  }
}

.blogcall {
  margin-bottom:50px;
  margin-top:20px;
  z-index:3;
  text-align:center;
  .btn-info {
    background-color:#00aeef;
    text-transform:uppercase;
    border:none;
    border-radius:0;
  }
}

#curiosities {
  background: url(../imgs/intro/maps.png) no-repeat center fixed;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
  height: 330px;
  opacity: 1;
  .background {
    display: block;
    height: 100%;
    background-color: rgba(34, 167, 240, .18) !important;
    padding-bottom: 50px;
  }
  .title {
    padding-top: 15px;
    h1 {
      font-family: "Pacifico", sans-serif;
      text-transform: none;
      font-weight: 400;
      color: white;
      font-size: 3.5em;
    }
  }
  .item {
    height: 250px;
    h2 {
      font-family: "Open Sans", sans-serif;
      font-weight: 400;
      font-style: italic;
      color: white;
      font-size: 1.5em;
      text-align: center;
      text-transform: none;
      width: 70%;
      margin: 0 auto;
      vertical-align: middle !important;
    }
  }
  .carousel-control.right,
  .carousel-control.left {
      background-image: none;
      top:-180px;
  }
  
  @media (min-width: $min-md) {
    height: 300px;
    .item {
      height: 80px;
      h2 {
        font-size: 1.5em;
        width: 60%;
      }
    }
    .carousel-control.right,
    .carousel-control.left {
          top:-35px;
    }
  }
}

#team {
  background-color: #f5f5f5;
  .container {
    background-color: white;
    -webkit-box-shadow: 0px 2px 3px 0px rgba(50, 50, 50, 0.1);
    -moz-box-shadow:    0px 2px 3px 0px rgba(50, 50, 50, 0.1);
    box-shadow:         0px 2px 3px 0px rgba(50, 50, 50, 0.1);
  }
  .founders {
    .member {
      display:block;
      .text {
        text-align: center;
        p {
          color:#565656;
          font-size:1em;
          width:60%;
          @include blockcenter;
          padding-top:5px;
          padding-bottom: 40px;
        }
        .fa {
          color:#c3c3c3;
        }
      }
      img {
        @include blockcenter;
        width: 120px;
        height: 120px;
        border-radius: 50%;
        border: 8px solid white;
      }
      hgroup {
        text-align:center;
        margin-bottom: 20px;
        h1 {
          color: #58bde2;
          font-weight: 700;
          font-size: 1.3em;
          text-transform: none;
          padding-top: 0px;
        }
        h2 {
          margin-top: -8px;
          color: $title-color;
          font-weight: 600;
          font-size: 1em;
        }
      }
    }
    @media (min-width: $min-md) {
      .member {
        padding-bottom: 30px;
        .text {
          text-align: right;
          p {
            padding-top: 27px;
            width:100%;
            margin:0;
            padding-bottom: 30px;
          }
        }
        hgroup {
          margin-bottom: 40px;
          text-align: left;
          h1 {
            font-size: 1.5em;
            padding-top: 12px;
          }
          h2 {
            margin-top: 0px;
            font-size: 1.2em;
          }
        }
      } 
    }
  }
  .subtitle {
    margin-top: 50px;
    margin-bottom:50px;
    text-align: center;
    h1 {
      color: $title-color;
      font-size: 1.4em;
      font-weight: 600;
    }
    
    @media (min-width: $min-md) {
      h1 {
        font-size: 1.6em;
      }
    }
  }
  
  .studymonitors {
    .member {
      @include blockcenter;
    }
    img {
      @include blockcenter;
      width: 90px;
      height: 90px;
      border-radius: 50%;
      border: 8px solid #f5f5f5;
    }
    hgroup {
      text-align: center;
      h1 {
        color: #97d5ec;
        font-size: 1.2em;
        text-transform: none;
        font-weight: 600;
      }
      h2 {
        margin-top: -2px;
        color: #141414;
        font-size: 1em;
        font-weight: 700;
      }
      h3 {
        margin-top:-10px;
        color: #565656;
        font-size: .8em;
        font-weight: 700;
      }
    }
    
    @media (min-width: $min-md) {
      img {
        width: 120px;
        height: 120px;
      }
      hgroup {
        text-align: center;
        h1 {
          font-size: 1.5em;
        }
        h2 {
          margin-top: -2px;
          font-size: 1.2em;
        }
        h3 {
          margin-top:-10px;
          font-size: 1em;
        }
      }
    }
  }
  .students {
    height: auto;
    .member{
      display:inline;
      overflow: hidden;
      margin: 0;
	    position: relative;
      img {
	      position: relative;
        width: 20%;
        height: auto;
        margin-right: -4px;
        padding: 0;
	      transition: transform 0.4s;
      }
    }
    figcaption {
      display:block;
      position: absolute;
    	top: 100;
    	left: 0;
    	background: #141414;
    	color: #ed4e6e;
    	height: auto;
    	width: 100%;
    	top: auto;
    	bottom: -110px;
    	opacity: 0;
    	transform: translateY(20%);
    	transition: transform 0.4s, opacity 0.1s 0.3s;
    	h3,
    	h4 {
    	  padding-left:15px;
    	}
    	h3 {
      	color: #fff;
      	font-size:1.2em;
    	}
    	h4 {
    	  color:#00aeef;
    	  font-size:1em;
    	}
    }

    @media (min-width: $min-md) {
      img {
      }
      figcaption {
      	bottom: -110px;
      	h3,
      	h4 {
      	  padding-left:15px;
      	}
      	h3 {
        	color: #fff;
        	font-size:1.2em;
      	}
      	h4 {
      	  color:#00aeef;
      	  font-size:1em;
      	}
      }
      figure:hover img {
      	transform: translateY(-50px);
      }
      figure:hover figcaption{
      	opacity: 1;
      	transform: translateY(0px);
      	transition: transform 0.4s, opacity 0.1s;
      } 
    }
  }
  .ex-members{
    display: block;
    height:auto;
    padding-bottom:20px;
    padding-top:10px;
    background-color:#f5f5f5;
    .ex {
      @include blockcenter;
      position:relative;
      margin-top: 2px;
      .subtitle {
        margin: 0;
        text-align: center;
        h1, span {
          display: inline-block;
          vertical-align: middle;
          color: #565656; //#19B5FE;
        }
      }
      .member {
        display: inline-block;
        margin-top: 16.5px;
        img {
          width: 45px;
          height:45px;
        }
      }
    }
          
    @media (min-width: $min-md) {
      .ex {
        .subtitle {
          margin: 0;
          text-align: right;
          span {
            font-size:3.5em;
          }
        }
        .member {
          margin-top: 16.5px;
          img {
            width: 45px;
            height:45px;
          }
        }
      }
    }
  }
}

#partners {
  margin-bottom: 40px;
  background-color: white;
  img {
    @include blockcenter;
    max-height: 60px;
  }
  .title {
    font-size: 0.8em;
    margin-bottom:-25px;
  }
      
  @media (min-width: $min-md) {
    margin-bottom: 50px;
    .title {
      font-size: 1.1em;
      margin-bottom:0px;
    }
  }
}

footer {
  width: 100%;
  padding-top:20px;
  padding-bottom:10px;
  background-color: #141414;
  text-align: center;
  vertical-align: middle;
  color: #aaa;
  .hanze {
    font-size: .8em;
    margin-top:-10px;
  }
}

/*    Implementado por Jeferson */

// Estilo dos pontos da Intro

.pontos {
  position: absolute; 
  height: 14px; 
  width: 14px; 
  padding: 1px; 
  background-color: #FF0040; 
  border-radius: 100px; 
  -webkit-transform: skew(0deg); 
  transform: skew(0deg); 
	content: "+";
	text-align: center;
	font-size: 10px;
	color: #FFFFFF;
	animation: cd-pulse 2s infinite;	
	-webkit-animation: p-pulse 2s infinite;
	animation-delay: 0.5s;
} 

.pontos:hover{
	animation: pause;
}
 
@keyframes p-pulse {
  0% {
    box-shadow: 0 0 0 0 #F50000;
  }
  100% {
    box-shadow: 0 0 0 33px rgba(255,0,0, 0);
  }
}